Attribute VB_Name = "Values_Flu_Mdl"
'THIS MODULE PROVIDES AN EASY WAY FOR THE USER TO COMPARE RESULTS FROM THE FLU ROUTINES
'RUN LOCALLY WITH THE CHECK VALUES PROVIDED IN THE VARIOUS ROUTINES

'THIS MODULE REQUIRES
'     CONSTANTS_0,     FILE CONSTANTS_0.bas
'     CONVERT_0,       FILE CONVERT_0.bas
'     Maths_0_Mdl,     file Maths_0.bas
'     FLU_1_Mdl,       FILE FLU_1.bas
'     FLU_2_Mdl,       FILE FLU_2.bas
'     FLU_3A_Mdl,      FILE FLU_3A.bas
'     FLU_3B_Mdl,      FILE FLU_3B.bas

Option Explicit

Private Const Version = "10 Aug 2009"

'==========================================================================
Public Function flu_check_values() As String

Dim txt As String, CRLF As String, TB As String

CRLF = Chr(13) + Chr(10)
TB = Chr(9)

txt = "COMPARISON OF CHECK VALUES FOR PROPERTIES OF PURE WATER" + CRLF + CRLF


txt = txt + "COMPARISON OF CHECK VALUES FROM FLU_1" + CRLF + CRLF

txt = txt + "flu_f_si(0,0,300,1000) =" + TwoCols(flu_f_si(0, 0, 300, 1000), -5351.74115204056) + CRLF
txt = txt + "flu_f_si(1,0,300,1000) =" + TwoCols(flu_f_si(1, 0, 300, 1000), -390.904170767491) + CRLF
txt = txt + "flu_f_si(0,1,300,1000) =" + TwoCols(flu_f_si(0, 1, 300, 1000), 7.83300135596477) + CRLF
txt = txt + "flu_f_si(2,0,300,1000) =" + TwoCols(flu_f_si(2, 0, 300, 1000), -13.6840204925353) + CRLF
txt = txt + "flu_f_si(1,1,300,1000) =" + TwoCols(flu_f_si(1, 1, 300, 1000), 0.639359046588391) + CRLF
txt = txt + "flu_f_si(0,2,300,1000) =" + TwoCols(flu_f_si(0, 2, 300, 1000), 2.24824656167368) + CRLF
txt = txt + CRLF

txt = txt + "COMPARISON OF CHECK VALUES FROM FLU_2" + CRLF + CRLF

txt = txt + "flu_cp_si(300,1000)              =" + TwoCols(flu_cp_si(300, 1000), 4159.37519963368) + CRLF
txt = txt + "flu_cv_si(300,1000)              =" + TwoCols(flu_cv_si(300, 1000), 4105.20614776059) + CRLF
txt = txt + "flu_enthalpy_si(300,1000)        =" + TwoCols(flu_enthalpy_si(300, 1000), 119752.511434171) + CRLF
txt = txt + "flu_entropy_si(300,1000)         =" + TwoCols(flu_entropy_si(300, 1000), 390.904170767491) + CRLF
txt = txt + "flu_expansion_si(300,1000)       =" + TwoCols(flu_expansion_si(300, 1000), 2.82413312530867E-04) + CRLF
txt = txt + "flu_gibbs_energy_si(300,1000)    =" + TwoCols(flu_gibbs_energy_si(300, 1000), 2481.26020392421) + CRLF
txt = txt + "flu_internal_energy_si(300,1000) =" + TwoCols(flu_internal_energy_si(300, 1000), 111919.510078207) + CRLF
txt = txt + "flu_kappa_s_si(300,1000)         =" + TwoCols(flu_kappa_s_si(300, 1000), 4.35960581170918E-10) + CRLF
txt = txt + "flu_kappa_t_si(300,1000)         =" + TwoCols(flu_kappa_t_si(300, 1000), 4.41713172024108E-10) + CRLF
txt = txt + "flu_lapserate_si(300,1000)       =" + TwoCols(flu_lapserate_si(300, 1000), 2.03694039832526E-08) + CRLF
txt = txt + "flu_pressure_si(300,1000)        =" + TwoCols(flu_pressure_si(300, 1000), 7833001.35596477) + CRLF
txt = txt + "flu_soundspeed_si(300,1000)      =" + TwoCols(flu_soundspeed_si(300, 1000), 1514.52479779946) + CRLF
txt = txt + CRLF

txt = txt + "COMPARISON OF CHECK VALUES FROM FLU_3a" + CRLF + CRLF

txt = txt + "liq_g_si(0, 0, 300, 1E5) =" + TwoCols(liq_g_si(0, 0, 300, 100000), -5265.0504557718) + CRLF
txt = txt + "liq_g_si(1, 0, 300, 1E5) =" + TwoCols(liq_g_si(1, 0, 300, 100000), -393.062433814569) + CRLF
txt = txt + "liq_g_si(0, 1, 300, 1E5) =" + TwoCols(liq_g_si(0, 1, 300, 100000), 1.00345555938138E-03) + CRLF
txt = txt + "liq_g_si(2, 0, 300, 1E5) =" + TwoCols(liq_g_si(2, 0, 300, 100000), -13.9354650734086) + CRLF
txt = txt + "liq_g_si(1, 1, 300, 1E5) =" + TwoCols(liq_g_si(1, 1, 300, 100000), 2.75753316815429E-07) + CRLF
txt = txt + "liq_g_si(0, 2, 300, 1E5) =" + TwoCols(liq_g_si(0, 2, 300, 100000), -4.52072086722098E-13) + CRLF
txt = txt + CRLF

txt = txt + "vap_g_si(0, 0, 300, 1E3) =" + TwoCols(vap_g_si(0, 0, 300, 1000), -180090.341338025) + CRLF
txt = txt + "vap_g_si(1, 0, 300, 1E3) =" + TwoCols(vap_g_si(1, 0, 300, 1000), -9103.67940087138) + CRLF
txt = txt + "vap_g_si(0, 1, 300, 1E3) =" + TwoCols(vap_g_si(0, 1, 300, 1000), 138.38847806943) + CRLF
txt = txt + "vap_g_si(2, 0, 300, 1E3) =" + TwoCols(vap_g_si(2, 0, 300, 1000), -6.24707163426883) + CRLF
txt = txt + "vap_g_si(1, 1, 300, 1E3) =" + TwoCols(vap_g_si(1, 1, 300, 1000), 0.462704658817776) + CRLF
txt = txt + "vap_g_si(0, 2, 300, 1E3) =" + TwoCols(vap_g_si(0, 2, 300, 1000), -0.138455798863587) + CRLF
txt = txt + CRLF

txt = txt + "liq_density_si(300, 1E5) =" + TwoCols(liq_density_si(300, 100000), 996.556340388894) + CRLF
txt = txt + "vap_density_si(300, 1E3) =" + TwoCols(vap_density_si(300, 1000), 7.2260351002509E-03) + CRLF
txt = txt + CRLF

txt = txt + "COMPARISON OF CHECK VALUES FROM FLU_3b" + CRLF + CRLF

txt = txt + "liq_cp_si(300, 1E5)              =" + TwoCols(liq_cp_si(300, 100000), 4180.63952202258) + CRLF
txt = txt + "liq_cv_si(300, 1E5)              =" + TwoCols(liq_cv_si(300, 100000), 4130.17861503357) + CRLF
txt = txt + "liq_enthalpy_si(300, 1E5)        =" + TwoCols(liq_enthalpy_si(300, 100000), 112653.679688599) + CRLF
txt = txt + "liq_entropy_si(300, 1E5)         =" + TwoCols(liq_entropy_si(300, 100000), 393.062433814569) + CRLF
txt = txt + "liq_expansion_si(300, 1E5)       =" + TwoCols(liq_expansion_si(300, 100000), 2.74803716255683E-04) + CRLF
txt = txt + "liq_gibbs_energy_si(300, 1E5)    =" + TwoCols(liq_gibbs_energy_si(300, 100000), -5265.0504557718) + CRLF
txt = txt + "liq_internal_energy_si(300, 1E5) =" + TwoCols(liq_internal_energy_si(300, 100000), 112553.334132656) + CRLF
txt = txt + "liq_kappa_s_si(300, 1E5)         =" + TwoCols(liq_kappa_s_si(300, 100000), 4.45077521252688E-10) + CRLF
txt = txt + "liq_kappa_t_si(300, 1E5)         =" + TwoCols(liq_kappa_t_si(300, 100000), 4.50515304335745E-10) + CRLF
txt = txt + "liq_lapserate_si(300, 1E5)       =" + TwoCols(liq_lapserate_si(300, 100000), 1.97878804448096E-08) + CRLF
txt = txt + "liq_soundspeed_si(300, 1E5)      =" + TwoCols(liq_soundspeed_si(300, 100000), 1501.52041505665) + CRLF
txt = txt + CRLF

txt = txt + "vap_cp_si(300, 1E3)              =" + TwoCols(vap_cp_si(300, 1000), 1874.12149028065) + CRLF
txt = txt + "vap_cv_si(300, 1E3)              =" + TwoCols(vap_cv_si(300, 1000), 1410.22845788565) + CRLF
txt = txt + "vap_enthalpy_si(300, 1E3)        =" + TwoCols(vap_enthalpy_si(300, 1000), 2551013.47892339) + CRLF
txt = txt + "vap_entropy_si(300, 1E3)         =" + TwoCols(vap_entropy_si(300, 1000), 9103.67940087138) + CRLF
txt = txt + "vap_expansion_si(300, 1E3)       =" + TwoCols(vap_expansion_si(300, 1000), 3.34352010566687E-03) + CRLF
txt = txt + "vap_gibbs_energy_si(300, 1E3)    =" + TwoCols(vap_gibbs_energy_si(300, 1000), -180090.341338025) + CRLF
txt = txt + "vap_internal_energy_si(300, 1E3) =" + TwoCols(vap_internal_energy_si(300, 1000), 2412625.00085396) + CRLF
txt = txt + "vap_kappa_s_si(300, 1E3)         =" + TwoCols(vap_kappa_s_si(300, 1000), 7.52840457971025E-04) + CRLF
txt = txt + "vap_kappa_t_si(300, 1E3)         =" + TwoCols(vap_kappa_t_si(300, 1000), 1.00048646242156E-03) + CRLF
txt = txt + "vap_lapserate_si(300, 1E3)       =" + TwoCols(vap_lapserate_si(300, 1000), 7.40674488634917E-02) + CRLF
txt = txt + "vap_soundspeed_si(300, 1E3)      =" + TwoCols(vap_soundspeed_si(300, 1000), 428.744430494758) + CRLF
txt = txt + CRLF

flu_check_values = txt

End Function

