Attribute VB_Name = "Values_GSW_Mdl"
'THIS MODULE PROVIDES AN EASY WAY FOR THE USER TO COMPARE RESULTS FROM THE GSW ROUTINES
'RUN LOCALLY WITH THE CHECK VALUES PROVIDED IN THE VARIOUS ROUTINES

'THIS MODULE REQUIRES
'     CONSTANTS_0_mdl,   FILE CONSTANTS_0.bas
'     CONVERT_0_mdl,     FILE CONVERT_0.bas
'     MATHS_0_mdl,       FILE MATHS_0.bas
'     SAL_1_mdl,         FILE SAL_1.bas
'     SAL_2_mdl,         FILE SAL_2.bas
'     LIQ_F03_5_mdl,     FILE LIQ_F03_5.bas
'     GSW_LIBRARY_5_mdl, FILE GSW_LIBRARY_5.bas

Option Explicit

Private Const Version = "04 Nov 2009"

'==========================================================================
Public Function gsw_check_values() As String
'==========================================================================

Dim txt As String, CRLF As String, TB As String

CRLF = Chr(13) + Chr(10)

txt = "COMPARISON OF CHECK VALUES FOR PROPERTIES OF SEAWATER" + CRLF + CRLF
txt = txt + "OBTAINED WITH THE GSW LIBRARY ROUTINES BUT USING LIQ_F03_5" + CRLF + CRLF

txt = txt + "gsw_asal_from_psal(35.5276443777339, 201, -21, 1023) =" + TwoCols(gsw_asal_from_psal(35.5276443777339, 201, -21, 1023), 35.7000000000001) + CRLF
txt = txt + "gsw_psal_from_asal(35.7, 201, -21, 1023)             =" + TwoCols(gsw_psal_from_asal(35.7, 201, -21, 1023), 35.5276443777339) + CRLF + CRLF

txt = txt + "gsw_alpha_t(35.7, 25.5, 1023)               =" + TwoCols(gsw_alpha_t(35.7, 25.5, 1023), 3.09837839319265E-04) + CRLF
txt = txt + "gsw_beta_t(35.7, 25.5, 1023)                =" + TwoCols(gsw_beta_t(35.7, 25.5, 1023), 7.25729797838666E-04) + CRLF
txt = txt + "gsw_cp(35.7, 25.5, 1023)                    =" + TwoCols(gsw_cp(35.7, 25.5, 1023), 3974.42541259729) + CRLF
txt = txt + "gsw_ctmp_from_ptmp0(35.7, 25.5)             =" + TwoCols(gsw_ctmp_from_ptmp0(35.7, 25.5), 25.4805463842239) + CRLF
txt = txt + "gsw_ptmp0_from_ctmp(35.7, 25.4805463842239) =" + TwoCols(gsw_ptmp0_from_ctmp(35.7, 25.4805463842239), 25.5) + CRLF
txt = txt + "gsw_dens(35.7, 25.5, 1023)                  =" + TwoCols(gsw_dens(35.7, 25.5, 1023), 1027.95249315662) + CRLF
txt = txt + "gsw_enthalpy(35.7, 25.5, 1023)              =" + TwoCols(gsw_enthalpy(35.7, 25.5, 1023), 110776.712408975) + CRLF
txt = txt + "gsw_entropy(35.7, 25.5, 1023)               =" + TwoCols(gsw_entropy(35.7, 25.5, 1023), 352.81879771528) + CRLF
txt = txt + "gsw_kappa(35.7, 25.5, 1023)                 =" + TwoCols(gsw_kappa(35.7, 25.5, 1023), 4.03386268546478E-06) + CRLF
txt = txt + "gsw_kappa_t(35.7, 25.5, 1023)               =" + TwoCols(gsw_kappa_t(35.7, 25.5, 1023), 4.10403794615135E-06) + CRLF
txt = txt + "gsw_pden(35.7, 25.5, 1023, 0)               =" + TwoCols(gsw_pden(35.7, 25.5, 1023, 0), 1023.66254941185) + CRLF
txt = txt + "gsw_ptmp(35.7, 25.5, 1023, 0)               =" + TwoCols(gsw_ptmp(35.7, 25.5, 1023, 0), 25.2720983155409) + CRLF
txt = txt + "gsw_ptmp(35.7, 25.2720983155409, 0, 1023)   =" + TwoCols(gsw_ptmp(35.7, 25.2720983155409, 0, 1023#), 25.5) + CRLF
txt = txt + "gsw_specvol(35.7, 25.5, 1023)               =" + TwoCols(gsw_specvol(35.7, 25.5, 1023), 9.72807602157971E-04) + CRLF
txt = txt + "gsw_svel(35.7, 25.5, 1023)                  =" + TwoCols(gsw_svel(35.7, 25.5, 1023), 1552.93372863425) + CRLF
txt = txt + "gsw_alpha_ct(35, 20, 1000)                  =" + TwoCols(gsw_alpha_ct(35, 20, 1000), 0.000269418609861) + CRLF
txt = txt + "gsw_alpha_pt0(35, 20, 1000)                 =" + TwoCols(gsw_alpha_pt0(35, 20, 1000), 0.000269753733317) + CRLF
txt = txt + "gsw_beta_ct(35, 20, 1000)                   =" + TwoCols(gsw_beta_ct(35, 20, 1000), 0.000723213672954) + CRLF
txt = txt + "gsw_beta_pt0(35, 20, 1000)                  =" + TwoCols(gsw_beta_pt0(35, 20, 1000), 0.000731582583383) + CRLF
txt = txt + "gsw_cabb_ct(35, 20, 1000)                   =" + TwoCols(gsw_cabb_ct(35, 20, 1000#), 8.96907383083E-06) + CRLF
txt = txt + "gsw_cabb_pt0(35, 20, 1000)                  =" + TwoCols(gsw_cabb_pt0(35, 20, 1000#), 8.75963154048E-06) + CRLF
txt = txt + "gsw_thrmb_ct(35, 20, 1000)                  =" + TwoCols(gsw_thrmb_ct(35, 20, 1000#), 1.72708365652E-08) + CRLF
txt = txt + "gsw_thrmb_pt0(35, 20, 1000)                 =" + TwoCols(gsw_thrmb_pt0(35, 20, 1000#), 1.70945045984E-08) + CRLF
   
gsw_check_values = txt

End Function
