Attribute VB_Name = "Values_Sea_Mdl"
'THIS MODULE PROVIDES AN EASY WAY FOR THE USER TO COMPARE RESULTS FROM THE SEAWATER ROUTINES
'RUN LOCALLY WITH THE CHECK VALUES PROVIDED IN THE VARIOUS ROUTINES

'THIS MODULE REQUIRES
'     CONSTANTS_0_Mdl, FILE CONSTANTS_0.bas
'     CONVERT_0_Mdl,   FILE CONVERT_0.bas
'     Maths_0_Mdl,     file Maths_0.bas
'     SAL_1_Mdl,       FILE SAL_1.bas
'     SAL_2_Mdl,       FILE SAL_2.bas
'     FLU_1_Mdl,       FILE FLU_1.bas
'     FLU_2_Mdl,       FILE FLU_2.bas
'     FLU_3A_Mdl,      FILE FLU_3A.bas
'     SEA_3A_Mdl,      FILE SEA_3A.bas
'     SEA_3B_Mdl,      FILE SEA_3B.bas
'     SEA_3C_Mdl,      FILE SEA_3C.bas
'     SEA_3D_Mdl,      FILE SEA_3D.bas

 
Option Explicit

Private Const Version = "28 Oct 2009"

'==========================================================================
Public Function sea_check_values() As String

Dim txt As String, CRLF As String, TB As String

CRLF = Chr(13) + Chr(10)
TB = Chr(9)

txt = "COMPARISON OF CHECK VALUES FOR PROPERTIES OF SEAWATER" + CRLF + CRLF


txt = txt + "COMPARISON OF CHECK VALUES FROM SEA_3A" + CRLF + CRLF

txt = txt + "sea_g_si(0,0,0,0.035,300,1E5) =" + TwoCols(sea_g_si(0, 0, 0, 0.035, 300, 100000), -5114.99619856615) + CRLF
txt = txt + "sea_g_si(1,0,0,0.035,300,1E5) =" + TwoCols(sea_g_si(1, 0, 0, 0.035, 300, 100000), 78593.7757371468) + CRLF
txt = txt + "sea_g_si(0,1,0,0.035,300,1E5) =" + TwoCols(sea_g_si(0, 1, 0, 0.035, 300, 100000), -374.452240540063) + CRLF
txt = txt + "sea_g_si(0,0,1,0.035,300,1E5) =" + TwoCols(sea_g_si(0, 0, 1, 0.035, 300, 100000), 9.7785861518227E-04) + CRLF
txt = txt + "sea_g_si(2,0,0,0.035,300,1E5) =" + TwoCols(sea_g_si(2, 0, 0, 0.035, 300, 100000), 2247550.41118143) + CRLF
txt = txt + "sea_g_si(1,1,0,0.035,300,1E5) =" + TwoCols(sea_g_si(1, 1, 0, 0.035, 300, 100000), 789.934255688123) + CRLF

txt = txt + "sea_g_si(1,0,1,0.035,300,1E5) =" + TwoCols(sea_g_si(1, 0, 1, 0.035, 300, 100000), -7.16682401264827E-04) + CRLF
txt = txt + "sea_g_si(0,2,0,0.035,300,1E5) =" + TwoCols(sea_g_si(0, 2, 0, 0.035, 300, 100000), -13.3358324654699) + CRLF
txt = txt + "sea_g_si(0,1,1,0.035,300,1E5) =" + TwoCols(sea_g_si(0, 1, 1, 0.035, 300, 100000), 3.04605539768293E-07) + CRLF
txt = txt + "sea_g_si(0,0,2,0.035,300,1E5) =" + TwoCols(sea_g_si(0, 0, 2, 0.035, 300, 100000), -4.10945807960411E-13) + CRLF
txt = txt + CRLF
txt = txt + "sea_chempot_h2o_si(0.035, 300, 1E5)     =" + TwoCols(sea_chempot_h2o_si(0.035, 300, 100000), -7865.77834936628) + CRLF
txt = txt + "sea_chempot_rel_si(0.035, 300, 1E5)     =" + TwoCols(sea_chempot_rel_si(0.035, 300, 100000), 78593.7757371468) + CRLF
txt = txt + "sea_g_contraction_t_si(0.035, 300, 1E5) =" + TwoCols(sea_g_contraction_t_si(0.035, 300, 100000), 0.732910044599075) + CRLF
txt = txt + "sea_cp_si(0.035, 300, 1E5)              =" + TwoCols(sea_cp_si(0.035, 300, 100000), 4000.74973964098) + CRLF
txt = txt + "sea_density_si(0.035, 300, 1E5)         =" + TwoCols(sea_density_si(0.035, 300, 100000), 1022.6427261303) + CRLF
txt = txt + "sea_enthalpy_si(0.035, 300, 1E5)        =" + TwoCols(sea_enthalpy_si(0.035, 300, 100000), 107220.675963453) + CRLF
txt = txt + "sea_entropy_si(0.035, 300, 1E5)         =" + TwoCols(sea_entropy_si(0.035, 300, 100000), 374.452240540063) + CRLF
txt = txt + "sea_g_expansion_t_si(0.035, 300, 1E5)   =" + TwoCols(sea_g_expansion_t_si(0.035, 300, 100000), 3.11502639583039E-04) + CRLF
txt = txt + "sea_gibbs_energy_si(0.035, 300, 1E5)    =" + TwoCols(sea_gibbs_energy_si(0.035, 300, 100000), -5114.99619856615) + CRLF
txt = txt + "sea_internal_energy_si(0.035, 300, 1E5) =" + TwoCols(sea_internal_energy_si(0.035, 300, 100000), 107122.890101934) + CRLF
txt = txt + "sea_kappa_s_si(0.035, 300, 1E5)         =" + TwoCols(sea_kappa_s_si(0.035, 300, 100000), 4.13135667732431E-10) + CRLF
txt = txt + "sea_kappa_t_si(0.035, 300, 1E5)         =" + TwoCols(sea_kappa_t_si(0.035, 300, 100000), 4.20250741344455E-10) + CRLF
txt = txt + "sea_lapserate_si(0.035, 300, 1E5)       =" + TwoCols(sea_lapserate_si(0.035, 300, 100000), 2.28411342566727E-08) + CRLF
txt = txt + "sea_osm_coeff_si(0.035, 300, 1E5)       =" + TwoCols(sea_osm_coeff_si(0.035, 300, 100000), 0.902777495349254) + CRLF
txt = txt + "sea_soundspeed_si(0.035, 300, 1E5)      =" + TwoCols(sea_soundspeed_si(0.035, 300, 100000), 1538.47940766397) + CRLF
txt = txt + "sea_temp_maxdensity_si(0.01, 1E5)       =" + TwoCols(sea_temp_maxdensity_si(0.01, 100000#), 274.950121503097) + CRLF
txt = txt + CRLF + CRLF

txt = txt + "COMPARISON OF CHECK VALUES FROM SEA_3B" + CRLF + CRLF

txt = txt + "sea_h_si(0,0,0,0.035,500,1E5) =" + TwoCols(sea_h_si(0, 0, 0, 0.035, 500, 100000), 145481.970750042) + CRLF
txt = txt + "sea_h_si(1,0,0,0.035,500,1E5) =" + TwoCols(sea_h_si(1, 0, 0, 0.035, 500, 100000), 86860.798048569) + CRLF
txt = txt + "sea_h_si(0,1,0,0.035,500,1E5) =" + TwoCols(sea_h_si(0, 1, 0, 0.035, 500, 100000), 309.557955853377) + CRLF
txt = txt + "sea_h_si(0,0,1,0.035,500,1E5) =" + TwoCols(sea_h_si(0, 0, 1, 0.035, 500, 100000), 9.81092930969333E-04) + CRLF
txt = txt + "sea_h_si(2,0,0,0.035,500,1E5) =" + TwoCols(sea_h_si(2, 0, 0, 0.035, 500, 100000), 2393730.16716348) + CRLF
txt = txt + "sea_h_si(1,1,0,0.035,500,1E5) =" + TwoCols(sea_h_si(1, 1, 0, 0.035, 500, 100000), 72.5298236487807) + CRLF
txt = txt + "sea_h_si(1,0,1,0.035,500,1E5) =" + TwoCols(sea_h_si(1, 0, 1, 0.035, 500, 100000), -6.84629317366511E-04) + CRLF
txt = txt + "sea_h_si(0,2,0,0.035,500,1E5) =" + TwoCols(sea_h_si(0, 2, 0, 0.035, 500, 100000), 7.72873234085026E-02) + CRLF
txt = txt + "sea_h_si(0,1,1,0.035,500,1E5) =" + TwoCols(sea_h_si(0, 1, 1, 0.035, 500, 100000), 2.86305358701992E-08) + CRLF
txt = txt + "sea_h_si(0,0,2,0.035,500,1E5) =" + TwoCols(sea_h_si(0, 0, 2, 0.035, 500, 100000), -3.96880481108341E-13) + CRLF
txt = txt + CRLF
txt = txt + "sea_pottemp_si(0.035,300,1E7,1E5)                =" + TwoCols(sea_pottemp_si(0.035, 300, 10000000, 100000), 299.771869405324) + CRLF
txt = txt + "sea_potdensity_si(0.035,300,1E7,1E5)             =" + TwoCols(sea_potdensity_si(0.035, 300, 10000000, 100000), 1022.71520130298) + CRLF
txt = txt + "sea_potenthalpy_si(0.035,300,1E7,1E5)            =" + TwoCols(sea_potenthalpy_si(0.035, 300, 10000000, 100000), 106307.996083199) + CRLF
txt = txt + "sea_h_expansion_t_si(0.035, 500, 1E5)            =" + TwoCols(sea_h_expansion_t_si(0.035, 500, 100000), 3.77581809091213E-04) + CRLF
txt = txt + "sea_h_expansion_theta_si(0.035, 500, 1E7, 1E5)   =" + TwoCols(sea_h_expansion_theta_si(0.035, 500, 10000000, 100000), 3.84755380181319E-04) + CRLF
txt = txt + "sea_h_expansion_h_si(0.035, 500, 1E7, 1E5)       =" + TwoCols(sea_h_expansion_h_si(0.035, 500, 10000000, 100000), 9.60618615640423E-08) + CRLF
txt = txt + "sea_h_contraction_t_si(0.035, 500, 1E5)          =" + TwoCols(sea_h_contraction_t_si(0.035, 500, 100000), 0.725209049048546) + CRLF
txt = txt + "sea_h_contraction_theta_si(0.035, 500, 1E7, 1E5) =" + TwoCols(sea_h_contraction_theta_si(0.035, 500, 10000000, 100000), 0.717342103504727) + CRLF
txt = txt + "sea_h_contraction_h_si(0.035, 500, 1E7, 1E5)     =" + TwoCols(sea_h_contraction_h_si(0.035, 500, 10000000, 100000), 0.69777987358974) + CRLF
txt = txt + "sea_temperature_si(0.035, 500, 1E5)              =" + TwoCols(sea_temperature_si(0.035, 500, 100000), 309.557955853377) + CRLF
txt = txt + CRLF + CRLF

txt = txt + "COMPARISON OF CHECK VALUES FROM SEA_3C" + CRLF + CRLF

txt = txt + "sea_eta_entropy_si(0.035, 1E5, 1E5)                  =" + TwoCols(sea_eta_entropy_si(0.035, 100000, 100000), 350.310622663165) + CRLF
txt = txt + CRLF
txt = txt + "sea_eta_temperature_si(0.035,1E5,1E7,1E5,h)          =" + TwoCols(sea_eta_temperature_si(0.035, 100000, 10000000, 100000, "h"), 295.985682129013) + CRLF
txt = txt + "sea_eta_temperature_si(0.035,1E5,1E7,1E5,hpot)       =" + TwoCols(sea_eta_temperature_si(0.035, 100000, 10000000, 100000, "hpot"), 298.413424847945) + CRLF
txt = txt + CRLF
txt = txt + "sea_eta_pottemp_si(0.035,1E5,1E7,1E5,h)              =" + TwoCols(sea_eta_pottemp_si(0.035, 100000, 10000000, 100000, "h"), 295.782199115252) + CRLF
txt = txt + "sea_eta_pottemp_si(0.035,1E5,1E7,1E5,hpot)           =" + TwoCols(sea_eta_pottemp_si(0.035, 100000, 10000000, 100000, "hpot"), 298.194955181952) + CRLF
txt = txt + CRLF
txt = txt + "sea_eta_density_si(0.035,1E5,1E7,1E5,h)              =" + TwoCols(sea_eta_density_si(0.035, 100000, 10000000, 100000, "h"), 1028.10986556355) + CRLF
txt = txt + "sea_eta_density_si(0.035,1E5,1E7,1E5,hpot)           =" + TwoCols(sea_eta_density_si(0.035, 100000, 10000000, 100000, "hpot"), 1027.36529797843) + CRLF
txt = txt + CRLF
txt = txt + "sea_eta_potdensity_si(0.035,1E5,1E7,1E5,h)           =" + TwoCols(sea_eta_potdensity_si(0.035, 100000, 10000000, 100000, "h"), 1023.91737474051) + CRLF
txt = txt + "sea_eta_potdensity_si(0.035,1E5,1E7,1E5,hpot)        =" + TwoCols(sea_eta_potdensity_si(0.035, 100000, 10000000, 100000, "hpot"), 1023.20527737089) + CRLF
txt = txt + CRLF
txt = txt + "sea_eta_contraction_t_si(0.035,1E5,1E7,1E5,h)        =" + TwoCols(sea_eta_contraction_t_si(0.035, 100000, 10000000, 100000, "h"), 0.728755239643685) + CRLF
txt = txt + "sea_eta_contraction_t_si(0.035,1E5,1E7,1E5,hpot)     =" + TwoCols(sea_eta_contraction_t_si(0.035, 100000, 10000000, 100000, "hpot"), 0.72634931742843) + CRLF
txt = txt + "sea_eta_contraction_t_si(0.035,300,1E7,1E5,t)        =" + TwoCols(sea_eta_contraction_t_si(0.035, 300, 10000000, 100000, "t"), 0.724913833446307) + CRLF
txt = txt + "sea_eta_contraction_t_si(0.035,300,1E7,1E5,tpot)     =" + TwoCols(sea_eta_contraction_t_si(0.035, 300, 10000000, 100000, "tpot"), 0.724714253917745) + CRLF
txt = txt + CRLF
txt = txt + "sea_eta_contraction_theta_si(0.035,1E5,1E7,1E5,h)    =" + TwoCols(sea_eta_contraction_theta_si(0.035, 100000, 10000000, 100000, "h"), 0.728499505688196) + CRLF
txt = txt + "sea_eta_contraction_theta_si(0.035,1E5,1E7,1E5,hpot) =" + TwoCols(sea_eta_contraction_theta_si(0.035, 100000, 10000000, 100000, "hpot"), 0.72609973270266) + CRLF
txt = txt + "sea_eta_contraction_theta_si(0.035,300,1E7,1E5,t)    =" + TwoCols(sea_eta_contraction_theta_si(0.035, 300, 10000000, 100000, "t"), 0.724667977117403) + CRLF
txt = txt + "sea_eta_contraction_theta_si(0.035,300,1E7,1E5,tpot) =" + TwoCols(sea_eta_contraction_theta_si(0.035, 300, 10000000, 100000, "tpot"), 0.724468894946259) + CRLF
txt = txt + CRLF
txt = txt + "sea_eta_contraction_h_si(0.035,1E5,1E7,1E5,h)        =" + TwoCols(sea_eta_contraction_h_si(0.035, 100000, 10000000, 100000, "h"), 0.718452125956615) + CRLF
txt = txt + "sea_eta_contraction_h_si(0.035,1E5,1E7,1E5,hpot)     =" + TwoCols(sea_eta_contraction_h_si(0.035, 100000, 10000000, 100000, "hpot"), 0.714531922616011) + CRLF
txt = txt + "sea_eta_contraction_h_si(0.035,300,1E7,1E5,t)        =" + TwoCols(sea_eta_contraction_h_si(0.035, 300, 10000000, 100000, "t"), 0.712069013012519) + CRLF
txt = txt + "sea_eta_contraction_h_si(0.035,300,1E7,1E5,tpot)     =" + TwoCols(sea_eta_contraction_h_si(0.035, 300, 10000000, 100000, "tpot"), 0.711718411190048) + CRLF
txt = txt + CRLF
txt = txt + "sea_eta_expansion_t_si(0.035,1E5,1E7,1E5,h)          =" + TwoCols(sea_eta_expansion_t_si(0.035, 100000, 10000000, 100000, "h"), 2.89480851145219E-04) + CRLF
txt = txt + "sea_eta_expansion_t_si(0.035,1E5,1E7,1E5,hpot)       =" + TwoCols(sea_eta_expansion_t_si(0.035, 100000, 10000000, 100000, "hpot"), 3.07242256460933E-04) + CRLF
txt = txt + "sea_eta_expansion_t_si(0.035,300,1E7,1E5,t)          =" + TwoCols(sea_eta_expansion_t_si(0.035, 300, 10000000, 100000, "t"), 3.18513471409967E-04) + CRLF
txt = txt + "sea_eta_expansion_t_si(0.035,300,1E7,1E5,tpot)       =" + TwoCols(sea_eta_expansion_t_si(0.035, 300, 10000000, 100000, "tpot"), 3.20122324739611E-04) + CRLF
txt = txt + CRLF
txt = txt + "sea_eta_expansion_theta_si(0.035,1E5,1E7,1E5,h)      =" + TwoCols(sea_eta_expansion_theta_si(0.035, 100000, 10000000, 100000, "h"), 2.91293979901893E-04) + CRLF
txt = txt + "sea_eta_expansion_theta_si(0.035,1E5,1E7,1E5,hpot)   =" + TwoCols(sea_eta_expansion_theta_si(0.035, 100000, 10000000, 100000, "hpot"), 3.0913484855363E-04) + CRLF
txt = txt + "sea_eta_expansion_theta_si(0.035,300,1E7,1E5,t)      =" + TwoCols(sea_eta_expansion_theta_si(0.035, 300, 10000000, 100000, "t"), 3.20454167782952E-04) + CRLF
txt = txt + "sea_eta_expansion_theta_si(0.035,300,1E7,1E5,tpot)   =" + TwoCols(sea_eta_expansion_theta_si(0.035, 300, 10000000, 100000, "tpot"), 3.2206971083886E-04) + CRLF
txt = txt + CRLF
txt = txt + "sea_eta_expansion_h_si(0.035,1E5,1E7,1E5,h)          =" + TwoCols(sea_eta_expansion_h_si(0.035, 100000, 10000000, 100000, "h"), 7.28514646020664E-08) + CRLF
txt = txt + "sea_eta_expansion_h_si(0.035,1E5,1E7,1E5,hpot)       =" + TwoCols(sea_eta_expansion_h_si(0.035, 100000, 10000000, 100000, "hpot"), 7.7287677224533E-08) + CRLF
txt = txt + "sea_eta_expansion_h_si(0.035,300,1E7,1E5,t)          =" + TwoCols(sea_eta_expansion_h_si(0.035, 300, 10000000, 100000, "t"), 8.01009066332972E-08) + CRLF
txt = txt + "sea_eta_expansion_h_si(0.035,300,1E7,1E5,tpot)       =" + TwoCols(sea_eta_expansion_h_si(0.035, 300, 10000000, 100000, "tpot"), 8.05023387610723E-08) + CRLF
txt = txt + CRLF + CRLF

txt = txt + "COMPARISON OF CHECK VALUES FROM SEA_3D" + CRLF + CRLF

txt = txt + "sea_sa_si(273.15, 101325, 1028) =" + TwoCols(sea_sa_si(273.15, 101325, 1028), 3.50315257708621E-02) + CRLF

txt = txt + CRLF + CRLF

txt = txt + "COMPARISON OF CHECK VALUES FROM SEA_5A" + CRLF + CRLF

txt = txt + "sea_alpha_ct_si(0.035,300,1E8)                 =" + TwoCols(sea_alpha_ct_si(0.035, 300, 100000000#), 3.91772847589188E-04) + CRLF
txt = txt + "sea_alpha_pt0_si(0.035,300,1E8)                =" + TwoCols(sea_alpha_pt0_si(0.035, 300, 100000000#), 3.92515634063559E-04) + CRLF
txt = txt + "sea_alpha_t_si(0.035,300,1E8)                  =" + TwoCols(sea_alpha_t_si(0.035, 300, 100000000#), 3.73608885177539E-04) + CRLF
txt = txt + "sea_beta_ct_si(0.035,300,1E8)                  =" + TwoCols(sea_beta_ct_si(0.035, 300, 100000000#), 0.649596383653744) + CRLF
txt = txt + "sea_beta_pt0_si(0.035,300,1E8)                 =" + TwoCols(sea_beta_pt0_si(0.035, 300, 100000000#), 0.663973579411448) + CRLF
txt = txt + "sea_beta_t_si(0.035,300,1E8)                   =" + TwoCols(sea_beta_t_si(0.035, 300, 100000000#), 0.666238827368374) + CRLF
txt = txt + "sea_cabb_ct_si(0.035,300,1E5)                  =" + TwoCols(sea_cabb_ct_si(0.035, 300, 100000#), 8.61252567438267E-06) + CRLF
txt = txt + "sea_cabb_pt0_si(0.035,300,1E5)                 =" + TwoCols(sea_cabb_pt0_si(0.035, 300, 100000#), 8.33874537690444E-06) + CRLF
txt = txt + "sea_thrmb_ct_si(0.035,300,1E5)                 =" + TwoCols(sea_thrmb_ct_si(0.035, 300, 100000#), 1.48109271668362E-12) + CRLF
txt = txt + "sea_thrmb_pt0_si(0.035,300,1E5)                =" + TwoCols(sea_thrmb_pt0_si(0.035, 300, 100000#), 1.45941010702991E-12) + CRLF
txt = txt + "sea_ctmp_from_ptmp0_si(0.035,300)              =" + TwoCols(sea_ctmp_from_ptmp0_si(0.035, 300), 300.010069445349) + CRLF
txt = txt + "sea_ptmp0_from_ctmp_si(0.035,300.010069445349) =" + TwoCols(sea_ptmp0_from_ctmp_si(0.035, 300.010069445), 299.999999999654) + CRLF

sea_check_values = txt

End Function



